> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hasmcp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete MCP Server Tool Association



## OpenAPI

````yaml delete /servers/{id}/tools/{toolID}
openapi: 3.0.4
info:
  title: HasMCP Manager API
  version: 1.0.0
  description: >-
    API for managing HasMCP components like Variables, Providers, MCP Servers,
    Resources, and Prompts.
servers: []
security:
  - bearerAuth: []
paths:
  /servers/{id}/tools/{toolID}:
    delete:
      summary: Delete MCP Server Tool Association
      operationId: deleteServerTool
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: MCP Server ID
        - name: toolID
          in: path
          required: true
          schema:
            type: string
      responses:
        '204':
          description: Tool association deleted
      security:
        - oauth2:
            - server:update
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Enter 'Bearer' followed by a space and your token (e.g., 'Bearer
        ${HASMCP_ACCESS_TOKEN}').
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://accounts.hasmcp.com/oauth2/auth
          tokenUrl: https://accounts.hasmcp.com/oauth2/token
          scopes:
            gitconnection:list: List Git connections
            gitconnection:delete: Delete Git connection
            variable:list: List variables
            variable:create: Create variable
            variable:update: Update variable
            variable:delete: Delete variable
            provider:list: List providers
            provider:create: Create provider
            provider:read: Get provider
            provider:update: Update provider
            provider:delete: Delete provider
            server:list: List MCP servers
            server:create: Create MCP server
            server:read: Get MCP server
            server:update: Update MCP server
            server:delete: Delete MCP server
            server:create_token: Create MCP server token

````